View Issue Details

IDProjectCategoryView StatusLast Update
0032630Open CASCADEOCCT:Codingpublic2021-10-24 10:23
Reporteraml Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032630: Coding - get rid of unsused forward declarations [BinMDF to IFSelect]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from BinMDF to IFSelect (inclusively) are processed in this ticket.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-10-18 17:41

administrator   ~0104713

Branch CR32630 has been created by aml.

SHA-1: a26a8a1a155344fe2ab179390b8047d3dbc8bf2c


Detailed log of new commits:

Author: aml
Date: Mon Oct 18 09:46:19 2021 +0300

    0032614: Coding - get rid of unsused forward declarations [BinMDF to IFSelect]

aml

2021-10-19 06:51

developer   ~0104724

Dear Kirill,

Could you please take a look at the patch?

Jenkins is OK completely this time:
http://jenkins-test-occt/view/CR32630-master-aml/view/COMPARE/

smoskvin

2021-10-23 17:00

administrator   ~0104813

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104832

Branch CR32630 has been deleted by mnt.

SHA-1: a26a8a1a155344fe2ab179390b8047d3dbc8bf2c

Related Changesets

occt: master 5b756182

2021-10-18 06:46:19

aml


Committer: smoskvin Details Diff
0032630: Coding - get rid of unsused forward declarations [BinMDF to IFSelect] Affected Issues
0032630
mod - src/BinMDF/BinMDF.hxx Diff File
mod - src/BinMDF/BinMDF_ADriver.hxx Diff File
mod - src/GccEnt/GccEnt.hxx Diff File
mod - src/GccEnt/GccEnt_QualifiedCirc.hxx Diff File
mod - src/GccEnt/GccEnt_QualifiedLin.hxx Diff File
mod - src/GccInt/GccInt_BCirc.hxx Diff File
mod - src/GccInt/GccInt_BElips.hxx Diff File
mod - src/GccInt/GccInt_BHyper.hxx Diff File
mod - src/GccInt/GccInt_Bisec.hxx Diff File
mod - src/GccInt/GccInt_BLine.hxx Diff File
mod - src/GccInt/GccInt_BParab.hxx Diff File
mod - src/GccInt/GccInt_BPoint.hxx Diff File
mod - src/GCE2d/GCE2d_MakeArcOfCircle.hxx Diff File
mod - src/GCE2d/GCE2d_MakeArcOfEllipse.hxx Diff File
mod - src/GCE2d/GCE2d_MakeArcOfHyperbola.hxx Diff File
mod - src/GCE2d/GCE2d_MakeArcOfParabola.hxx Diff File
mod - src/GCE2d/GCE2d_MakeCircle.hxx Diff File
mod - src/GCE2d/GCE2d_MakeEllipse.hxx Diff File
mod - src/GCE2d/GCE2d_MakeHyperbola.hxx Diff File
mod - src/GCE2d/GCE2d_MakeLine.hxx Diff File
mod - src/GCE2d/GCE2d_MakeParabola.hxx Diff File
mod - src/GCE2d/GCE2d_MakeSegment.hxx Diff File
mod - src/GCPnts/GCPnts_DistFunction.hxx Diff File
mod - src/GCPnts/GCPnts_DistFunction2d.hxx Diff File
mod - src/Geom/Geom_Axis2Placement.hxx Diff File
mod - src/Geom/Geom_AxisPlacement.hxx Diff File
mod - src/Geom/Geom_BezierCurve.hxx Diff File
mod - src/Geom/Geom_BezierSurface.hxx Diff File
mod - src/Geom/Geom_BSplineCurve.hxx Diff File
mod - src/Geom/Geom_BSplineSurface.hxx Diff File
mod - src/Geom/Geom_CartesianPoint.hxx Diff File
mod - src/Geom/Geom_Circle.hxx Diff File
mod - src/Geom/Geom_ConicalSurface.hxx Diff File
mod - src/Geom/Geom_Curve.hxx Diff File
mod - src/Geom/Geom_CylindricalSurface.hxx Diff File
mod - src/Geom/Geom_Direction.hxx Diff File
mod - src/Geom/Geom_Ellipse.hxx Diff File
mod - src/Geom/Geom_Geometry.hxx Diff File
mod - src/Geom/Geom_Hyperbola.hxx Diff File
mod - src/Geom/Geom_Line.hxx Diff File
mod - src/Geom/Geom_OffsetCurve.hxx Diff File
mod - src/Geom/Geom_OffsetSurface.hxx Diff File
mod - src/Geom/Geom_Parabola.hxx Diff File
mod - src/Geom/Geom_Plane.hxx Diff File
mod - src/Geom/Geom_RectangularTrimmedSurface.hxx Diff File
mod - src/Geom/Geom_SphericalSurface.hxx Diff File
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.hxx Diff File
mod - src/Geom/Geom_SurfaceOfRevolution.hxx Diff File
mod - src/Geom/Geom_SweptSurface.hxx Diff File
mod - src/Geom/Geom_ToroidalSurface.hxx Diff File
mod - src/Geom/Geom_TrimmedCurve.hxx Diff File
mod - src/Geom/Geom_Vector.hxx Diff File
mod - src/Geom/Geom_VectorWithMagnitude.hxx Diff File
mod - src/Geom2d/Geom2d_AxisPlacement.hxx Diff File
mod - src/Geom2d/Geom2d_BezierCurve.hxx Diff File
mod - src/Geom2d/Geom2d_BSplineCurve.hxx Diff File
mod - src/Geom2d/Geom2d_CartesianPoint.hxx Diff File
mod - src/Geom2d/Geom2d_Circle.hxx Diff File
mod - src/Geom2d/Geom2d_Curve.hxx Diff File
mod - src/Geom2d/Geom2d_Direction.hxx Diff File
mod - src/Geom2d/Geom2d_Ellipse.hxx Diff File
mod - src/Geom2d/Geom2d_Geometry.hxx Diff File
mod - src/Geom2d/Geom2d_Hyperbola.hxx Diff File
mod - src/Geom2d/Geom2d_Line.hxx Diff File
mod - src/Geom2d/Geom2d_OffsetCurve.hxx Diff File
mod - src/Geom2d/Geom2d_Parabola.hxx Diff File
mod - src/Geom2d/Geom2d_Transformation.hxx Diff File
mod - src/Geom2d/Geom2d_TrimmedCurve.hxx Diff File
mod - src/Geom2d/Geom2d_Vector.hxx Diff File
mod - src/Geom2d/Geom2d_VectorWithMagnitude.hxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ExtremaCurveCurve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_Interpolate.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ProjectPointOnCurve.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveKnotSplitting.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveToBezierCurve.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCen.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCenGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCirCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuOnCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuPnt.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanObl.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2TanIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanOblIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_QCurve.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_QualifiedCurve.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Element.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Elements.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dCurve.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dPoint.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dVector.hxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfLinearExtrusion.hxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfRevolution.hxx Diff File
mod - src/GeomAPI/GeomAPI.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_IntCS.hxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSpline.hxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSplineSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnCurve.hxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnSurf.hxx Diff File
mod - src/GeomConvert/GeomConvert.hxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxCurve.hxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineCurveKnotSplitting.hxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineCurveToBezierCurve.hxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineSurfaceKnotSplitting.hxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineSurfaceToBezierSurface.hxx Diff File
mod - src/GeomConvert/GeomConvert_CompBezierSurfacesToBSplineSurface.hxx Diff File
mod - src/GeomFill/GeomFill.hxx Diff File
mod - src/GeomFill/GeomFill_BezierCurves.hxx Diff File
mod - src/GeomFill/GeomFill_BoundWithSurf.hxx Diff File
mod - src/GeomFill/GeomFill_BSplineCurves.hxx Diff File
mod - src/GeomFill/GeomFill_CircularBlendFunc.hxx Diff File
mod - src/GeomFill/GeomFill_ConstantBiNormal.hxx Diff File
mod - src/GeomFill/GeomFill_CoonsAlgPatch.hxx Diff File
mod - src/GeomFill/GeomFill_CorrectedFrenet.hxx Diff File
mod - src/GeomFill/GeomFill_CurveAndTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_Darboux.hxx Diff File
mod - src/GeomFill/GeomFill_DegeneratedBound.hxx Diff File
mod - src/GeomFill/GeomFill_DiscreteTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_DraftTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_EvolvedSection.hxx Diff File
mod - src/GeomFill/GeomFill_Filling.hxx Diff File
mod - src/GeomFill/GeomFill_Fixed.hxx Diff File
mod - src/GeomFill/GeomFill_Frenet.hxx Diff File
mod - src/GeomFill/GeomFill_FunctionGuide.hxx Diff File
mod - src/GeomFill/GeomFill_Generator.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronAC.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.hxx Diff File
mod - src/GeomFill/GeomFill_LocationDraft.hxx Diff File
mod - src/GeomFill/GeomFill_LocationGuide.hxx Diff File
mod - src/GeomFill/GeomFill_LocationLaw.hxx Diff File
mod - src/GeomFill/GeomFill_NSections.hxx Diff File
mod - src/GeomFill/GeomFill_PlanFunc.hxx Diff File
mod - src/GeomFill/GeomFill_PolynomialConvertor.hxx Diff File
mod - src/GeomFill/GeomFill_Profiler.hxx Diff File
mod - src/GeomFill/GeomFill_QuasiAngularConvertor.hxx Diff File
mod - src/GeomFill/GeomFill_SectionLaw.hxx Diff File
mod - src/GeomFill/GeomFill_SectionPlacement.hxx Diff File
mod - src/GeomFill/GeomFill_SnglrFunc.hxx Diff File
mod - src/GeomFill/GeomFill_Sweep.hxx Diff File
mod - src/GeomFill/GeomFill_SweepFunction.hxx Diff File
mod - src/GeomFill/GeomFill_SweepSectionGenerator.hxx Diff File
mod - src/GeomFill/GeomFill_Tensor.hxx Diff File
mod - src/GeomFill/GeomFill_TrihedronLaw.hxx Diff File
mod - src/GeomFill/GeomFill_TrihedronWithGuide.hxx Diff File
mod - src/GeomFill/GeomFill_UniformSection.hxx Diff File
mod - src/GeomInt/GeomInt.hxx Diff File
mod - src/GeomLib/GeomLib.hxx Diff File
mod - src/GeomLib/GeomLib_Check2dBSplineCurve.hxx Diff File
mod - src/GeomLib/GeomLib_CheckBSplineCurve.hxx Diff File
mod - src/GeomLib/GeomLib_DenominatorMultiplier.hxx Diff File
mod - src/GeomLib/GeomLib_Interpolate.hxx Diff File
mod - src/GeomLib/GeomLib_IsPlanarSurface.hxx Diff File
mod - src/GeomLib/GeomLib_LogSample.hxx Diff File
mod - src/GeomLib/GeomLib_MakeCurvefromApprox.hxx Diff File
mod - src/GeomLProp/GeomLProp.hxx Diff File
mod - src/GeomPlate/GeomPlate_Aij.hxx Diff File
mod - src/GeomPlate/GeomPlate_BuildAveragePlane.hxx Diff File
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.hxx Diff File
mod - src/GeomPlate/GeomPlate_CurveConstraint.hxx Diff File
mod - src/GeomPlate/GeomPlate_PointConstraint.hxx Diff File
mod - src/GeomPlate/GeomPlate_Surface.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomCurve.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomPoint.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomSurface.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomVector.hxx Diff File
mod - src/GeomTools/GeomTools.hxx Diff File
mod - src/GeomTools/GeomTools_Curve2dSet.hxx Diff File
mod - src/GeomTools/GeomTools_CurveSet.hxx Diff File
mod - src/GeomTools/GeomTools_SurfaceSet.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeAxis1Placement.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeAxis2Placement2d.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeAxis2Placement3d.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBoundedCurve.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBoundedSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnots.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBSplineSurfaceWithKnots.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeCartesianPoint.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeCircle.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeConic.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeConicalSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeCurve.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeCylindricalSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeDirection.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeElementarySurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeEllipse.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeHyperbola.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeLine.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeParabola.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakePlane.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakePolyline.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeRectangularTrimmedSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSphericalSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSurfaceOfLinearExtrusion.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSurfaceOfRevolution.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSweptSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeToroidalSurface.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeVector.hxx Diff File
mod - src/GProp/GProp.hxx Diff File
mod - src/GProp/GProp_GProps.hxx Diff File
mod - src/GProp/GProp_PEquation.hxx Diff File
mod - src/GProp/GProp_PGProps.hxx Diff File
mod - src/GProp/GProp_PrincipalProps.hxx Diff File
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1D.hxx Diff File
mod - src/Graphic3d/Graphic3d_TextureEnv.hxx Diff File
mod - src/Hatch/Hatch_Hatcher.hxx Diff File
mod - src/Hatch/Hatch_Line.hxx Diff File
mod - src/Hatch/Hatch_Parameter.hxx Diff File
mod - src/HatchGen/HatchGen_Domain.hxx Diff File
mod - src/HatchGen/HatchGen_PointOnHatching.hxx Diff File
mod - src/HeaderSection/HeaderSection.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgeStatus.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_Projector.hxx Diff File
mod - src/HLRAppli/HLRAppli_ReflectLines.hxx Diff File
mod - src/HLRBRep/HLRBRep.hxx Diff File
mod - src/HLRBRep/HLRBRep_AreaLimit.hxx Diff File
mod - src/HLRBRep/HLRBRep_BCurveTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_Curve.hxx Diff File
mod - src/HLRBRep/HLRBRep_CurveTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_Data.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeBuilder.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeInterferenceTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_FaceData.hxx Diff File
mod - src/HLRBRep/HLRBRep_InternalAlgo.hxx Diff File
mod - src/HLRBRep/HLRBRep_Intersector.hxx Diff File
mod - src/HLRBRep/HLRBRep_PolyAlgo.hxx Diff File
mod - src/HLRBRep/HLRBRep_ShapeBounds.hxx Diff File
mod - src/HLRBRep/HLRBRep_Surface.hxx Diff File
mod - src/HLRBRep/HLRBRep_VertexList.hxx Diff File
mod - src/HLRTest/HLRTest.hxx Diff File
mod - src/HLRTest/HLRTest_OutLiner.hxx Diff File
mod - src/HLRTest/HLRTest_ShapeData.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_OutLiner.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_VData.hxx Diff File
mod - src/IFGraph/IFGraph_AllConnected.hxx Diff File
mod - src/IFGraph/IFGraph_AllShared.hxx Diff File
mod - src/IFGraph/IFGraph_Articulations.hxx Diff File
mod - src/IFGraph/IFGraph_Compare.hxx Diff File
mod - src/IFGraph/IFGraph_Cumulate.hxx Diff File
mod - src/IFGraph/IFGraph_ExternalSources.hxx Diff File
mod - src/IFGraph/IFGraph_SCRoots.hxx Diff File
mod - src/IFGraph/IFGraph_SubPartsIterator.hxx Diff File
mod - src/IFSelect/IFSelect.hxx Diff File
mod - src/IFSelect/IFSelect_Act.hxx Diff File
mod - src/IFSelect/IFSelect_Activator.hxx Diff File
mod - src/IFSelect/IFSelect_ContextModif.hxx Diff File
mod - src/IFSelect/IFSelect_ContextWrite.hxx Diff File
mod - src/IFSelect/IFSelect_Dispatch.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerCount.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerFiles.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerSignature.hxx Diff File
mod - src/IFSelect/IFSelect_EditForm.hxx Diff File
mod - src/IFSelect/IFSelect_Editor.hxx Diff File
mod - src/IFSelect/IFSelect_PacketList.hxx Diff File
mod - src/IFSelect/IFSelect_ParamEditor.hxx Diff File
mod - src/IFSelect/IFSelect_SelectAnyList.hxx Diff File
mod - src/IFSelect/IFSelect_SelectCombine.hxx Diff File
mod - src/IFSelect/IFSelect_SelectControl.hxx Diff File
mod - src/IFSelect/IFSelect_SelectDeduct.hxx Diff File
mod - src/IFSelect/IFSelect_SelectFlag.hxx Diff File
mod - src/IFSelect/IFSelect_SelectInList.hxx Diff File
mod - src/IFSelect/IFSelect_Selection.hxx Diff File
mod - src/IFSelect/IFSelect_SelectionIterator.hxx Diff File
mod - src/IFSelect/IFSelect_SelectPointed.hxx Diff File
mod - src/IFSelect/IFSelect_SelectRange.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSignature.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSignedShared.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSignedSharing.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSuite.hxx Diff File
mod - src/IFSelect/IFSelect_SessionDumper.hxx Diff File
mod - src/IFSelect/IFSelect_SessionFile.hxx Diff File
mod - src/IFSelect/IFSelect_SessionPilot.hxx Diff File
mod - src/IFSelect/IFSelect_ShareOut.hxx Diff File
mod - src/IFSelect/IFSelect_ShareOutResult.hxx Diff File
mod - src/IFSelect/IFSelect_Signature.hxx Diff File
mod - src/IFSelect/IFSelect_SignMultiple.hxx Diff File
mod - src/IFSelect/IFSelect_Transformer.hxx Diff File
mod - src/IFSelect/IFSelect_WorkLibrary.hxx Diff File
mod - src/IFSelect/IFSelect_WorkSession.hxx Diff File

Issue History

Date Modified Username Field Change
2021-10-18 17:37 aml New Issue
2021-10-18 17:37 aml Assigned To => aml
2021-10-18 17:37 aml Relationship added child of 0032615
2021-10-18 17:41 git Note Added: 0104713
2021-10-18 17:43 aml Status new => assigned
2021-10-19 06:51 aml Note Added: 0104724
2021-10-19 06:51 aml Assigned To aml => kgv
2021-10-19 06:51 aml Status assigned => resolved
2021-10-19 06:51 aml Steps to Reproduce Updated
2021-10-19 10:15 kgv Assigned To kgv => bugmaster
2021-10-19 10:15 kgv Status resolved => reviewed
2021-10-23 17:00 smoskvin Note Added: 0104813
2021-10-23 17:00 smoskvin Status reviewed => tested
2021-10-23 17:02 smoskvin Test case number => Not required
2021-10-23 20:49 smoskvin Changeset attached => occt master 5b756182
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104832
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.